For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a phone book
      • GETList phone books
      • DELDelete a phone book
      • POSTCreate a phone book entry
      • DELDelete a phone book entry
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Books

Create a phone book entry

||View as Markdown|
POST
/phonebooks/:phone_book_id/entries
POST
/v2/phonebooks/:phone_book_id/entries
$curl -X POST https://api.synthflow.ai/v2/phonebooks/a19da8ff-c89e-4628-94b6-d81193f883c6/entries \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "phone_number": "+12025551234",
> "transfer_condition": "When the caller asks for a sales representative"
>}'
200Successful
1{
2 "status": "ok",
3 "response": {
4 "key": "b29da8ff-c89e-4628-94b6-d81193f883c7"
5 }
6}
Was this page helpful?
Previous

Delete a phone book entry

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

phone_book_idstringRequired
Phone book ID.

Request

This endpoint expects an object.
phone_numberstringRequired
transfer_conditionstringRequired

Response

200
statusstring
responseobject